#!/usr/bin/env python3

import sys

while True:
    try:
        s = sys.stdin.buffer.read(1)
    except:
        break
    if (len(s) == 0):
        break
    
    e1 = bytes([ord(s)^0x84])
    sys.stdout.buffer.write(e1)
